"use strict";

this.name           =    "xs_conditions";
this.author         =    "spara";
this.description    =    "Xeptatl's Sword equipment/spawn conditions";

this.allowAwardEquipment = function(eqKey, ship, context) {
	
	//don't show pylon based equipment remover, if there's nothing to remove.
	if (eqKey === "EQ_XS_SELLPYLON_BASEDEQUIPMENT") {
		if (player.ship.missiles.length === 0) return false;
		return true;
	}
	
	//only allow via scripting
	if (context === "scripted") return true;
	return false;
}

this.allowSpawnShip = function(shipKey) {
	if (shipKey === "xs-thargoid-courier" && missionVariables.XeptatlsSword_status) {
		if (galaxyNumber === 3 && (missionVariables.XeptatlsSword_status === "STAGE_3" || missionVariables.XeptatlsSword_status === "STAGE_3ab"))
			return true;
	}
	return false;
}
