"use strict";

this.name           = "xsStation"
this.author         = "Okti"
this.copyright      = "(C) Smivs,Okti"
this.description    = "Ship script for research station.";


this.shipSpawned = function()
{		    
	var targetVector = system.sun.position.subtract(this.ship.position).direction();
    var angle = this.ship.heading.angleTo(targetVector);
    var cross = this.ship.heading.cross(targetVector).direction();
 	this.ship.orientation = this.ship.orientation.rotate(cross, -angle);
 	if (missionVariables.XeptatlsSword_status && missionVariables.XeptatlsSword_status.indexOf("STAGE") !== -1) {
		this.ship.beaconCode = "X";
		this.ship.beaconLabel = "Monitor Station";
	}
}

//lock shipyard
this.otherShipDocked = function(ship) {
	if (ship.isPlayer) {
		if (missionVariables.XeptatlsSword_status && missionVariables.XeptatlsSword_status.indexOf("STAGE") !== -1)
			return;
		else
			worldScripts["XeptatlsSword-Main"].guiScreenChanged =  worldScripts["XeptatlsSword-Main"].$guiScreenChanged;
	}
}

//release shipyard
this.stationLaunchedShip = function(ship) {
	if (ship === player.ship && worldScripts["XeptatlsSword-Main"].guiScreenChanged) {
		delete worldScripts["XeptatlsSword-Main"].guiScreenChanged;
	}
}
