"use strict";

this.name           = "XeptatlsSword-Main-Remover"
this.author         = "Okti,Smivs"
this.copyright      = "(C) Smivs,Okti"
this.licence        = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0"
this.description    = "An unusual mission spread into 8 galaxies.";

//rewrote the script. -spara-

this.playerBoughtEquipment = function(equipment) {
	if (equipment == "EQ_XS_SELLPYLON_BASEDEQUIPMENT") {
		player.ship.removeEquipment("EQ_XS_SELLPYLON_BASEDEQUIPMENT");
		this.displayScr1();
	}
}

this.displayScr1 = function() {
	this.misArr = player.ship.missiles;
	var options = {
		"99_XSREMOVER" : "Exit Pylon Mounted Equipment Remover"
	};
	for (var i = 0; i < this.misArr.length; i++) {
		options[(i + 10) + "_XSREMOVER"] = "Sell " + this.misArr[i].name + " TL " + (this.misArr[i].techLevel +1) + " for " + formatCredits(this.misArr[i].price / 10, true, true);
	}
	mission.runScreen({
			title:"Pylon Mounted Equipment Remover",
			message: "Cash: " + formatCredits(player.credits, true, true) + ".",
			choices: options,
			exitScreen: "GUI_SCREEN_EQUIP_SHIP"
		}, 
		function(choice) {
			if (choice === "99_XSREMOVER") return;
			var ind = Number(choice.split("_")[0]) - 10;
			player.credits += this.misArr[ind].price / 10;
			player.ship.removeEquipment(this.misArr[ind].equipmentKey);
		}
	);
}
