"use strict";

// Standard attributes 
this.name           = "scoopable_GDPOd_script"; 
this.author         = "Mark Smitheman"; 
this.copyright      = "This script is hereby placed in the public domain."; 
this.description    = "Script to install Galactic Hyperdrive on scooping of GalDrivePod" 

this.shipWasScooped = function (scooper) {
	if (scooper.isPlayer) {
		if (player.ship.equipmentStatus("EQ_GAL_DRIVE") !== "EQUIPMENT_OK") {
			player.ship.awardEquipment("EQ_GAL_DRIVE");
			player.consoleMessage("Galactic Hyperdrive is operational",6);
			missionVariables.XeptatlsSword_status = "STAGE_55";
		}
		else {
			player.ship.awardEquipment("EQ_GAL_DRIVE_MINE");
			missionVariables.XeptatlsSword_status = "STAGE_55";
		}
	}
};
